Hi,

There is some small problems with frontend editing in TYPO3 6.0, one of the error is pointed out in bug: 
http://forge.typo3.org/issues/40773

I have created an additional patch, such: testInt() is replaced and a call to $this->helpTextIcon()

In my patch, the changes from bug: http://forge.typo3.org/issues/40773 is applied.

Testet in TYPO3 6.0.2

Related issues:
related to Advanced Frontend Editing - Bug # 40773: Fatal error due to change... Closed 2012-09-09
related to Advanced Frontend Editing - Bug # 56153: 6.2 Compatibility Changes Closed 2014-02-20

History
#1 - 2013-03-01 14:49 - Tomas Norre Mikkelsen
- File feeditadvanced.patch added

#2 - 2014-01-09 14:39 - Thorsten Schmitz

Hi,

Thank you for the patch Tomas! Exactly what i needed, worked like a charm.

Now i've got a problem when adding a new page, but this is a Javascript error so i'll make a new issue if it's related to feeditadvanced and there isn't
one...

TYPO3 6.1.7
feeditadavnced 1.5.0

#3 - 2014-08-03 14:14 - Chris topher
- File 45943-2.patch added

Hi Tomas,

thanks for your patch! I'll check/commit it.

After #40773 has been fixed only the attached part is relevant; the rest is already solved.
#4 - 2014-08-03 14:23 - Chris topher
- Status changed from New to Resolved
- % Done changed from 0 to 100

The call to testInt()/canBeInterpretedAsInteger() has already been solved nicely in the current master branch (uses a wrapper function, which makes it
compatible with TYPO3 4.5 and 4.6+).

The call to helpText() has already been fixed with #10573; thanks Lorenz for committing!

#5 - 2014-08-03 17:44 - Chris topher
- Subject changed from 6.0 Compability Changes to 6.0 Compatibility Changes

#6 - 2014-08-06 12:06 - Chris topher
- Status changed from Resolved to Closed

Files
feeditadvanced.patch 2.4 kB 2013-03-01 Tomas Norre Mikkelsen
45943-2.patch 1.3 kB 2014-08-03 Chris topher
